"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

var _Button = _interopRequireWildcard(require("../components/Button/Button"));

var _themes = _interopRequireDefault(require("../themes"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Themed Styled Button', function () {
  it('displays a button with requested text', function () {
    var component = _reactTestRenderer.default.create(_react.default.createElement(_Button.StyledButton, {
      theme: _themes.default
    }, "Click Me!"));

    expect(component.toJSON()).toMatchSnapshot();
  });
  it('displays a secondary button with requested text', function () {
    var component = _reactTestRenderer.default.create(_react.default.createElement(_Button.StyledButton, {
      theme: _themes.default,
      type: "secondary"
    }, "\u2299_\u0298"));

    expect(component.toJSON()).toMatchSnapshot();
  });
});
describe('Themed Button', function () {
  it('displays a button with requested text', function () {
    var component = _reactTestRenderer.default.create(_react.default.createElement(_Button.default, {
      theme: _themes.default
    }, "Click Me!"));

    expect(component.toJSON()).toMatchSnapshot();
  });
  it('displays a secondary button with requested text', function () {
    var component = _reactTestRenderer.default.create(_react.default.createElement(_Button.default, {
      theme: _themes.default,
      type: "secondary"
    }, "\u2299_\u0298"));

    expect(component.toJSON()).toMatchSnapshot();
  });
});